﻿/*Rotate*/
.rotate-animation {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
    -webkit-transition: -webkit-transform 0.3s ease-in-out;
    -moz-transition: -moz-transform 0.3s ease-in-out;
    -o-transition: -o-transform 0.3s ease-in-out;
    transition: transform 0.3s ease-in-out;
}

.rotate {
    -webkit-transform: rotate(0);
    -moz-transform: rotate(0);
    -ms-transform: rotate(0);
    -o-transform: rotate(0);
    transform: rotate(0);
}

/*Flip*/
.flipInX-animation,
.flipInX-animation.ng-enter,
.flipInX-animation.ng-leave {
    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
    animation-name: flipInX;
    animation-duration: 1s;
    animation-fill-mode: both;
}


.flipInX-animation.ng-enter {
    animation-name: flipInX;
}

.flipInEnterX-animation.ng-leave {
    display: none;
}

.flipInEnterX-animation,
.flipInEnterX-animation.ng-enter {
    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
    animation-name: flipInX;
    animation-duration: 1s;
    animation-fill-mode: both;
}

@keyframes flipInX {
    from {
        transform: perspective(400px) rotate3d(1, 0, 0, 90deg);
        animation-timing-function: ease-in;
        opacity: 0;
    }

    40% {
        transform: perspective(400px) rotate3d(1, 0, 0, -20deg);
        animation-timing-function: ease-in;
    }

    60% {
        transform: perspective(400px) rotate3d(1, 0, 0, 10deg);
        opacity: 1;
    }

    80% {
        transform: perspective(400px) rotate3d(1, 0, 0, -5deg);
    }

    to {
        transform: perspective(400px);
    }
}

.flipInX-animation.ng-leave {
    animation-name: flipOutX;
}

@keyframes flipOutX {
    from {
        transform: perspective(400px);
    }

    30% {
        transform: perspective(400px) rotate3d(1, 0, 0, -20deg);
        opacity: 1;
    }

    to {
        transform: perspective(400px) rotate3d(1, 0, 0, 90deg);
        opacity: 0;
    }
}

/*Slide*/
.bottom-transition {
    transition: bottom .3s;
}

.slideUpVertical-animation.ng-enter,
.slideUpVertical-animation.ng-leave,
.slideDownVertical-animation.ng-enter,
.slideDownVertical-animation.ng-leave,
.slideHorizontal-animation.ng-enter,
.slideHorizontal-animation.ng-leave {
    animation-duration: .3s;
    animation-fill-mode: both;
}

.slideUpVertical-animation.ng-enter{
    animation-name: slideInUp;
}

@keyframes slideInUp {
    from {
        transform: translate3d(0, 100%, 0);
        visibility: visible;
    }

    to {
        transform: translate3d(0, 0, 0);
    }
}

.slideUpVertical-animation.ng-leave {
    animation-name: slideOutDown;
}

@keyframes slideOutDown {
    from {
        transform: translate3d(0, 0, 0);
    }

    to {
        visibility: hidden;
        transform: translate3d(0, 100%, 0);
    }
}

.slideDownVertical-animation.ng-enter{
    animation-name: slideInDown;
}

@keyframes slideInDown {
    from {
        transform: translate3d(0, -100%, 0);
        visibility: visible;
    }

    to {
        transform: translate3d(0, 0, 0);
    }
}

.slideDownVertical-animation.ng-leave{
    animation-name: slideOutUp;
}

@keyframes slideOutUp {
    from {
        transform: translate3d(0, 0, 0);
    }

    to {
        visibility: hidden;
        transform: translate3d(0, -100%, 0);
    }
}

.slideHorizontal-animation.ng-enter {
    animation-name: slideInRight;  
}

@keyframes slideInRight {
    from {
        transform: translate3d(100%, 0, 0);
        visibility: visible;
    }

    to {
        transform: translate3d(0, 0, 0);
    }
}

.slideHorizontal-animation.ng-leave {
    animation-name: slideOutRight;
}

@keyframes slideOutRight {
    from {
        transform: translate3d(0, 0, 0);
    }

    to {
        visibility: hidden;
        transform: translate3d(100%, 0, 0);
    }
}

/*Pulse*/
.pulse-animation {
    animation-name: pulse;
    animation-duration: 1s;
    animation-iteration-count: infinite;
}

@keyframes pulse {
    from {
        transform: scale3d(1, 1, 1);
    }

    50% {
        transform: scale3d(1.05, 1.05, 1.05);
    }

    to {
        transform: scale3d(1, 1, 1);
    }
}

/*Height*/

.height-animation.ng-enter,
.height-animation.ng-leave {
    -webkit-transition:height linear .1s;
    transition:height linear .1s;
}

.height-animation.ng-leave.ng-leave-active,
.height-animation.ng-enter {
    height:0;
}

.height-animation.ng-leave,
.height-animation.ng-enter.ng-enter-active {
    height:74px;
}

/*Width*/
.width-animation,
.width-animation.ng-enter,
.width-animation.ng-leave {
    -webkit-transition: all linear .3s;
    transition: all linear .3s;
}

.width-animation.ng-leave.ng-leave-active,
.width-animation.ng-enter {
    width: 0;
    max-width: 0;
}

.width-animation.ng-leave,
.width-animation.ng-enter.ng-enter-active {
    width: 100%;
    max-width: 100%;
}

/*Zoom*/
.zoom-animation.ng-enter,
.zoom-animation.ng-leave {
    animation-duration: .3s;
    animation-fill-mode: both;
}

.zoom-animation.ng-enter{
    animation-name: zoomIn;
}

@keyframes zoomIn {
    from {
        opacity: 0;
        transform: scale3d(.3, .3, .3);
    }

    50% {
        opacity: 1;
    }
}

.zoom-animation.ng-leave {
    animation-name: zoomOut;
}

@keyframes zoomOut {
    from {
        opacity: 1;
    }

    50% {
        opacity: 0;
        transform: scale3d(.3, .3, .3);
    }

    to {
        opacity: 0;
    }
}



/*Starter*/
.custom_blueLoader {
    width: 50px;
    height: 100px;
    position: absolute;
    top: calc(50% - 20px);
    left: calc(50% - 20px);
    z-index: 999
}
.custom_blueLoader__inner {
    border-radius: 50%;
    -webkit-animation: loader-animation 0.8s ease-out infinite;
    -moz-animation: loader-animation 0.8s ease-out infinite;
    -o-animation: loader-animation 0.8s ease-out infinite;
    animation: loader-animation 0.8s ease-out infinite;
    background: url(/Assets/webclient/common/images/logo/loaderGreen.svg);
    position: absolute;
    width: 50px;
    height: 50px;
    z-index: 9
}
.custom_blueLoader__shadow {
    width: 50px;
    bottom: 2px;
    height: 5px;
    background: #000;
    opacity: 0.3;
    position: absolute;
    left: 0;
    border-radius: 50%;
    -webkit-animation: shadow-animation 0.8s ease-out infinite;
    -moz-animation: shadow-animation 0.8s ease-out infinite;
    -o-animation: shadow-animation 0.8s ease-out infinite;
    animation: shadow-animation 0.8s ease-out infinite
}
.custom_whiteLoader {
    width: 50px;
    height: 100px;
    position: absolute;
    top: calc(50% - 20px);
    left: calc(50% - 20px);
    z-index: 999
}
.custom_whiteLoader__inner {
    border-radius: 50%;
    -webkit-animation: loader-animationfor 0.8s ease-out infinite;
    -moz-animation: loader-animationfor 0.8s ease-out infinite;
    -o-animation: loader-animationfor 0.8s ease-out infinite;
    animation: loader-animationfor 0.8s ease-out infinite;
    background: url(/Assets/webclient/common/images/logo/loaderBlue.svg);
    position: absolute;
    width: 50px;
    height: 50px;
    z-index: 9
}
.custom_whiteLoader__shadow {
    width: 50px;
    bottom: 2px;
    height: 5px;
    background: #000;
    opacity: 0.3;
    position: absolute;
    left: 0;
    border-radius: 50%;
    -webkit-animation: shadow-animation 0.8s ease-out infinite;
    -moz-animation: shadow-animation 0.8s ease-out infinite;
    -o-animation: shadow-animation 0.8s ease-out infinite;
    animation: shadow-animation 0.8s ease-out infinite
}
.custom_blackLoader {
    width: 50px;
    height: 100px;
    position: absolute;
    top: calc(50% - 20px);
    left: calc(50% - 20px);
    z-index: 999
}
.custom_blackLoader__inner {
    border-radius: 50%;
    -webkit-animation: loader-animationThir 0.8s ease-out infinite;
    -moz-animation: loader-animationThir 0.8s ease-out infinite;
    -o-animation: loader-animationThir 0.8s ease-out infinite;
    animation: loader-animationThir 0.8s ease-out infinite;
    background: url(/Assets/webclient/common/images/logo/loaderLightGreen.svg);
    position: absolute;
    width: 50px;
    height: 50px;
    z-index: 9
}
.custom_blackLoader__shadow {
    width: 50px;
    bottom: 2px;
    height: 5px;
    background: #000;
    opacity: 0.3;
    position: absolute;
    left: 0;
    border-radius: 50%;
    -webkit-animation: shadow-animation 0.8s ease-out infinite;
    -moz-animation: shadow-animation 0.8s ease-out infinite;
    -o-animation: shadow-animation 0.8s ease-out infinite;
    animation: shadow-animation 0.8s ease-out infinite
}
.custom_greyLoader {
    width: 50px;
    height: 100px;
    position: absolute;
    top: calc(50% - 20px);
    left: calc(50% - 20px);
    z-index: 999
}
.custom_greyLoader__inner {
    border-radius: 50%;
    -webkit-animation: loader-animationsec 0.8s ease-out infinite;
    -moz-animation: loader-animationsec 0.8s ease-out infinite;
    -o-animation: loader-animationsec 0.8s ease-out infinite;
    animation: loader-animationsec 0.8s ease-out infinite;
    background: url(/Assets/webclient/common/images/logo/loaderYellow.svg);
    position: absolute;
    width: 50px;
    height: 50px;
    z-index: 9
}
.custom_greyLoader__shadow {
    width: 50px;
    bottom: 2px;
    height: 5px;
    background: #000;
    opacity: 0.3;
    position: absolute;
    left: 0;
    border-radius: 50%;
    -webkit-animation: shadow-animation 0.8s ease-out infinite;
    -moz-animation: shadow-animation 0.8s ease-out infinite;
    -o-animation: shadow-animation 0.8s ease-out infinite;
    animation: shadow-animation 0.8s ease-out infinite
}

@keyframes loader-animationfor {
    0% {
        top: 0;
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1)
    }
    35% {
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1);
        background: url(/Assets/webclient/common/images/logo/loaderBlue.svg)
    }
    50% {
        top: 50px;
        -moz-transform: scale(1.2, .8);
        -o-transform: scale(1.2, .8);
        -ms-transform: scale(1.2, .8);
        -webkit-transform: scale(1.2, .8);
        transform: scale(1.2, .8)
    }
    75% {
        -moz-transform: scale(.8, 1.2);
        -o-transform: scale(.8, 1.2);
        -ms-transform: scale(.8, 1.2);
        -webkit-transform: scale(.8, 1.2);
        transform: scale(.8, 1.2)
    }
    100% {
        top: 0;
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1);
        background: url(/Assets/webclient/common/images/logo/loaderBlue.svg)
    }
}

@keyframes loader-animation {
    0% {
        top: 0;
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1)
    }
    35% {
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1);
        background: url(/Assets/webclient/common/images/logo/loaderGreen.svg)
    }
    50% {
        top: 50px;
        -moz-transform: scale(1.2, .8);
        -o-transform: scale(1.2, .8);
        -ms-transform: scale(1.2, .8);
        -webkit-transform: scale(1.2, .8);
        transform: scale(1.2, .8)
    }
    75% {
        -moz-transform: scale(.8, 1.2);
        -o-transform: scale(.8, 1.2);
        -ms-transform: scale(.8, 1.2);
        -webkit-transform: scale(.8, 1.2);
        transform: scale(.8, 1.2)
    }
    100% {
        top: 0;
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1);
        background: url(/Assets/webclient/common/images/logo/loaderGreen.svg)
    }
}

@keyframes loader-animationThir {
    0% {
        top: 0;
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1)
    }
    35% {
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1);
        background: url(/Assets/webclient/common/images/logo/loaderLightGreen.svg)
    }
    50% {
        top: 50px;
        -moz-transform: scale(1.2, .8);
        -o-transform: scale(1.2, .8);
        -ms-transform: scale(1.2, .8);
        -webkit-transform: scale(1.2, .8);
        transform: scale(1.2, .8)
    }
    75% {
        -moz-transform: scale(.8, 1.2);
        -o-transform: scale(.8, 1.2);
        -ms-transform: scale(.8, 1.2);
        -webkit-transform: scale(.8, 1.2);
        transform: scale(.8, 1.2)
    }
    100% {
        top: 0;
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1);
        background: url(/Assets/webclient/common/images/logo/loaderLightGreen.svg)
    }
}

@keyframes loader-animationsec {
    0% {
        top: 0;
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1)
    }
    35% {
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1);
        background: url(/Assets/webclient/common/images/logo/loaderYellow.svg)
    }
    50% {
        top: 50px;
        -moz-transform: scale(1.2, .8);
        -o-transform: scale(1.2, .8);
        -ms-transform: scale(1.2, .8);
        -webkit-transform: scale(1.2, .8);
        transform: scale(1.2, .8)
    }
    75% {
        -moz-transform: scale(.8, 1.2);
        -o-transform: scale(.8, 1.2);
        -ms-transform: scale(.8, 1.2);
        -webkit-transform: scale(.8, 1.2);
        transform: scale(.8, 1.2)
    }
    100% {
        top: 0;
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1);
        background: url(/Assets/webclient/common/images/logo/loaderYellow.svg)
    }
}

@keyframes shadow-animation {
    0% {
        -moz-transform: scale(.5, .5);
        -o-transform: scale(.5, .5);
        -ms-transform: scale(.5, .5);
        -webkit-transform: scale(.5, .5);
        transform: scale(.5, .5);
        opacity: 0.1
    }
    50% {
        -moz-transform: scale(1, 1);
        -o-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
        -webkit-transform: scale(1, 1);
        transform: scale(1, 1);
        opacity: 0.2
    }
    100% {
        -moz-transform: scale(.5, .5);
        -o-transform: scale(.5, .5);
        -ms-transform: scale(.5, .5);
        -webkit-transform: scale(.5, .5);
        transform: scale(.5, .5);
        opacity: 0.1
    }
}


